Codebase list xrdp / 7d1728e2-e7ac-480d-9aa2-a7934a0dcad2/main bootstrap
7d1728e2-e7ac-480d-9aa2-a7934a0dcad2/main

Tree @7d1728e2-e7ac-480d-9aa2-a7934a0dcad2/main (Download .tar.gz)

bootstrap @7d1728e2-e7ac-480d-9aa2-a7934a0dcad2/mainraw · history · blame

#!/bin/sh

which autoconf
if ! test $? -eq 0
then
  echo "error, install autoconf"
  exit 1
fi

which automake
if ! test $? -eq 0
then
  echo "error, install automake"
  exit 1
fi

which libtool || which libtoolize
if ! test $? -eq 0
then
  echo "error, install libtool"
  exit 1
fi

which pkg-config
if ! test $? -eq 0
then
  echo "error, install pkg-config"
  exit 1
fi

if ! test -f libpainter/configure.ac
then
  git submodule update --init libpainter
fi

if ! test -f librfxcodec/configure.ac
then
  git submodule update --init librfxcodec
fi

autoreconf -fvi